Bug 862419 - anaconda crashes past host name selection screen, installing from custom spin
anaconda crashes past host name selection screen, installing from custom spin
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: anaconda (Show other bugs)
17
All Linux
unspecified Severity high
: ---
: ---
Assigned To: David Cantrell
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-10-02 16:29 EDT by upgradeservices
Modified: 2013-01-09 21:23 EST (History)
3 users (show)

See Also:
Fixed In Version: anaconda-18.12
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-12-20 10:10:32 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
error (90.71 KB, image/jpeg)
2012-10-02 16:29 EDT, upgradeservices
no flags Details

  None (edit)
Description upgradeservices 2012-10-02 16:29:22 EDT
Created attachment 620505 [details]
error

anaconda crashes past host name selection screen, installing from custom spin

runtimeerror: error running hostname: no such file or directory
Comment 1 Jesse Keating 2012-10-02 16:53:28 EDT
Hrm, is the "hostname" package not part of your spin?  I'm going to mark anaconda has Requiring: the hostname package, which provides the 'hostname' command.
Comment 2 Jesse Keating 2012-10-02 16:57:40 EDT
Pushed that change upstream and it'll be fixed in F18.  For your F17 remix just ensure that you have the hostname package available in your repos.
Comment 3 Fedora Update System 2012-10-03 20:57:16 EDT
anaconda-18.12-1.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/anaconda-18.12-1.fc18
Comment 4 Fedora Update System 2012-10-04 13:51:05 EDT
Package anaconda-18.12-1.fc18:
* should fix your issue,
* was pushed to the Fedora 18 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing anaconda-18.12-1.fc18'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2012-15378/anaconda-18.12-1.fc18
then log in and leave karma (feedback).
Comment 5 Fedora Update System 2012-12-20 10:10:34 EST
anaconda-18.12-1.fc18 has been pushed to the Fedora 18 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.